<back to all web services

GetDashboardsMessage

The following routes are available for this service:
All Verbs/RestApi/Sitefinity/Analytics/GetDashboards
All Verbs/RestApi/GetDashboards
import 'package:servicestack/servicestack.dart';

class GetDashboardsMessage implements IConvertible
{
    String? Id;
    String? SiteId;

    GetDashboardsMessage({this.Id,this.SiteId});
    GetDashboardsMessage.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Id = json['Id'];
        SiteId = json['SiteId'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Id': Id,
        'SiteId': SiteId
    };

    getTypeName() => "GetDashboardsMessage";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.asg.com.au', types: <String, TypeInfo> {
    'GetDashboardsMessage': TypeInfo(TypeOf.Class, create:() => GetDashboardsMessage()),
});

Dart GetDashboardsMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/Analytics/GetDashboards HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Id":"00000000-0000-0000-0000-000000000000"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

[{"IsVisible":false,"NavTreeTitle":"String","SearchBoxTitle":"String","LayoutTemplateName":"String","Controls":[{"ControlType":"String","attributes":{"String":"String"},"PlaceholderId":"String","DisplayName":"String","Series":[{"MainMetric":{"Name":"String","DisplayName":"String","Value":0,"Unit":"String","DenominatorMetricName":"String","NominatorMetricName":"String","ShowInSelector":false},"CategoryFormat":"String","Batch":false,"IsCategory":false,"SeriesName":"String","SeriesDimensions":[{}],"RelatedDimension":"String"}],"DimensionName":"String","RelatedDimension":["String"],"SortbyField":"String","SortAsc":false}],"Items":[],"HasChildren":false,"spriteCssClass":"String","UrlFormat":"String","suppressMultipleSeries":false}]